/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.server.automaton;

import gecco.server.core.UnitEvent;

/**
 *  Description of the Class
 *
 * @author     Henrik Hgerstrm
 * @created    April 23, 2001
 */
public abstract class AutomatonReturn {
    /**
     *  Description of the Field
     */
    protected UnitEvent event = null;
    /**
     *  Description of the Field
     */
    protected double selfTimeToExecution;
    /**
     *  Description of the Field
     */
    protected double neighboursTimeToExecution;


    /**
     *  Sets the UnitEvent attribute of the AutomatonReturn object
     *
     * @param  unitEvent  The new UnitEvent value
     */
    public void setUnitEvent(UnitEvent unitEvent) {
        event = unitEvent;
    }


    /**
     *  Gets the SelfTimeToExecution attribute of the AutomatonReturn object
     *
     * @return    The SelfTimeToExecution value
     */
    public double getSelfTimeToExecution() {
        return selfTimeToExecution;
    }


    /**
     *  Gets the NeighboursTimeToExecution attribute of the AutomatonReturn
     *  object
     *
     * @return    The NeighboursTimeToExecution value
     */
    public double getNeighboursTimeToExecution() {
        return neighboursTimeToExecution;
    }


    /**
     *  Gets the UnitEvent attribute of the AutomatonReturn object
     *
     * @return    The UnitEvent value
     */
    public UnitEvent getUnitEvent() {
        return event;
    }
}
