/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Karl Hasselstrm

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.util;

import gecco.util.*;

/**
 *  A subclass of VersionNumber that is initialized to the system
 *  property java.version.
 *
 * @author     Karl Hasselstrm
 * @created July 6, 2001
 */
public class JavaVersion extends VersionNumber {

    /**
     *  Constructs a JavaVersion with the version number specified in
     *  the system property java.version.
     *
     * @exception SecurityException If we were not allowed to see the
     * system property java.version.
     */
    public JavaVersion() throws SecurityException {
        super(System.getProperty("java.version"));
    }
}
